<template>
  <q-page>
    <particles
      id="particles-bg"
      :options="particlesData"
    />
    <!-- <example-component
      title="Example component"
      active
      :todos="todos"
      :meta="meta"
    ></example-component> -->
    <index-hero />
    <index-use-cases />
    <index-privacy />
    <index-how />
    <index-pricing />
    <index-data />
    <index-disjoint />
    <index-closing />
  </q-page>
</template>

<script lang="ts">
// import { Todo, Meta } from 'components/models';
// import ExampleComponent from 'components/CompositionComponent.vue';
import particlesData from './particles.json';

import IndexHero from 'components/index/Hero.vue';
import IndexData from 'components/index/Data.vue';
import IndexDisjoint from 'components/index/Disjoint.vue';
import IndexUseCases from 'components/index/UseCases.vue';
import IndexHow from 'components/index/How.vue';
import IndexPricing from 'components/index/Pricing.vue';
import IndexPrivacy from 'components/index/Privacy.vue';
import IndexClosing from 'components/index/Closing.vue';

import { defineComponent /*, ref */ } from '@vue/composition-api';

export default defineComponent({
  name: 'PageIndex',
  components: {
    /* ExampleComponent */
    IndexHero,
    IndexData,
    IndexHow,
    IndexDisjoint,
    IndexUseCases,
    IndexPricing,
    IndexPrivacy,
    IndexClosing
  },
  // setup() {
  //   const todos = ref<Todo[]>([
  //     {
  //       id: 1,
  //       content: 'ct1'
  //     },
  //     {
  //       id: 2,
  //       content: 'ct2'
  //     },
  //     {
  //       id: 3,
  //       content: 'ct3'
  //     },
  //     {
  //       id: 4,
  //       content: 'ct4'
  //     },
  //     {
  //       id: 5,
  //       content: 'ct5'
  //     }
  //   ]);
  //   const meta = ref<Meta>({
  //     totalCount: 1200
  //   });
  //   return { todos, meta };
  // }

  data() {
    return {
      particlesData
    };
  }
});
</script>
